com.r3corda.node.internal.testing / MockNetwork / Factory

# Factory

`interface Factory`

Allows customisation of how nodes are created.

### Functions

create | `abstract fun create(dir: Path, config: NodeConfiguration, network: MockNetwork, networkMapAddr: NodeInfo?, advertisedServices: Set<ServiceType>, id: Int, keyPair: KeyPair?): MockNode`

### Inheritors

BankFactory | `inner class BankFactory : Factory`
DefaultFactory | `object DefaultFactory : Factory`
NetworkMapNodeFactory | `object NetworkMapNodeFactory : Factory`
NotaryNodeFactory | `object NotaryNodeFactory : Factory`
RatesOracleFactory | `object RatesOracleFactory : Factory`
RegulatorFactory | `object RegulatorFactory : Factory`